Jump to content

SCS v32 Release Candidate (now Version 10) Available for Testing


Recommended Posts

Circling back to the French-language issues Draztik and Gwendolyne are discussing:

 

1) Draztik's error message is definitely due to a missing LUA file: it's completely clear in the message. ERROR: Failure("resource [L_fr_fr.lua] not found for COPY"). From the subsequent discussion it looks as if Draztik is using an earlier version of this French-patch mod.

 

2) Gwendolyne seems to have found a different bug, but it's not as simple as a missing string. Yes, that string is missing from the French translation (and from every non-English tra file: it's new content in v32 and I only speak English). But (as is standard) SCS loads the English tra files as a backstop in case a string is missing in the selected language.

 

However, I can't reproduce it. I can successfully install the Ease-of-Use component (the only one which calls string @707, so I assume the one that Gwendolyne had the error with):

 

 

- on BG1EE, with game language and SCS language both set to French;

 

- on BG2EE, with game language set to English and SCS language set to French;

 

- on BG2EE, with game language and SCS language both set to German.

 

 

I can't exactly reproduce Gwendolyne's setup, because I don't have this French-language patch and my French isn't good enough to find a link to it on www.baldursgateworld.fr/lacouronne .

 

To look further, I'm going to need an exact description of how to get the bug, and a link to the patch you're using.

Edited by DavidW
Link to post

Circling back to the French-language issues Draztik and Gwendolyne are discussing:

 

1) Draztik's error message is definitely due to a missing LUA file: it's completely clear in the message. ERROR: Failure("resource [L_fr_fr.lua] not found for COPY"). From the subsequent discussion it looks as if Draztik is using an earlier version of this French-patch mod.

 

2) Gwendolyne seems to have found a different bug, but it's not as simple as a missing string. Yes, that string is missing from the French translation (and from every non-English tra file: it's new content in v32 and I only speak English). But (as is standard) SCS loads the English tra files as a backstop in case a string is missing in the selected language.

 

However, I can't reproduce it. I can successfully install the Ease-of-Use component (the only one which calls string @707, so I assume the one that Gwendolyne had the error with):

 

 

- on BG1EE, with game language and SCS language both set to French;

 

- on BG2EE, with game language set to English and SCS language set to French;

 

- on BG2EE, with game language and SCS language both set to German.

 

 

I can't exactly reproduce Gwendolyne's setup, because I don't have this French-language patch and my French isn't good enough to find a link to it on www.baldursgateworld.fr/lacouronne .

 

To look further, I'm going to need an exact description of how to get the bug, and a link to the patch you're using.

 

 

As BG2EETrans provides a partial French Translation for BG2EE (when it will be completed, the mod will be included by Beambog as the official French localization), we did not translate its readme and release announcement in English. But you can download it on GitHub.

 

The install process is very easy: clone a clean BG2EE install and run the mod (be sure there is no weidu.conf file in your game folder). Select any language and install it. The mod will create a lang/fr_FR folder with dialog.tlk and dialogF.tlk files (copies of the English dialog.tlk), then feed them with the strings already translated. The resulting French dialog.tlk files will thus both contain French strings and keep the original English ones if not translated. The mod also automatically creates a weidu.conf file pointing to French language, a L_fr_FR.lua file into the override, and patches the BGEE.lua file to add French language.

 

Once installed, run BG2EE and check the game is set to French.

 

That's the process I used to test SCS v32.

 

Here is my WeiDU.log:

// Log of Currently Installed WeiDU Mods
// The top of the file is the 'oldest' mod
// ~TP2_File~ #language_number #component_number // [Subcomponent Name -> ] Component Name [ : Version]
~BG2EETRANS/BG2EETRANS.TP2~ #0 #0 // Initialisation: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1001 // Textes repris de BGII-ToB: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1002 // Textes repris de BGEE: v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1003 // Ajout de la langue au menu + credits (BG2EE V2.0 et plus): v0.7.16.6
~BG2EETRANS\BG2EETRANSINSTALL.TP2~ #0 #1004 // Textes de BG2EE traduits et controles: v0.7.16.6

Once I added the missing lines in French gameplay.tra, the install went further but stopped when stratagems did not find stringrefs in French spell.tra.

 

Edit : I made a successful install with a French game (described above) and English language selected in stratagems. It makes me guess the problem lies with missing strings and the way stratagems handles foreign tra files if not completed. But it's only a clue. ;)

 

Except this message:

SKIPPING: [Cosmetic change: stop Stoneskins from changing the caster's colour]
    This component only works on Windows installs and does not work on BG:EE

W10 and BG2EE...

Edited by Gwendolyne
Link to post

Thanks, that's exactly what I need. I'll have a look (though it might not be for a couple of days on RL grounds).

 

Except this message:

SKIPPING: [Cosmetic change: stop Stoneskins from changing the caster's colour]
    This component only works on Windows installs and does not work on BG:EE
W10 and BG2EE...

 

"BG:EE" in this context just means the Enhanced Edition. The text dates from before BG2EE released, but it's an engine issue. (That component relies on ToBEx.)

Link to post

Hi,

 

Tried installing the IWD-component but it doesn't seem to work.

 

Installed mods:

Ascension, UB, Dungeon Crawl, Back to Brynnlaw, Quest pack (no AI), Item revisions, Spell revisions, Rogue rebalancing, refinements(read in the thread it's not fully supported(?) so I uninstalled it but it still didn't work unfortunately, Kit revisions, Tweaks anthology, and then Stratagems.

 

Patching CDIA706.ITM into store...
Patching CDIA725.ITM into store...
SCRL8D.ITM is already in the store. Skipping...
Patching CDIA806.ITM into store...
Patching CDIA820.ITM into store...
ERROR: [25SPELL.STO] -> [override/25SPELL.STO] Patching Failed (COPY) (Invalid_argument("String.blit / Bytes.blit_string"))
Stopping installation because of error.


ERROR Installing [include arcane spells from Icewind Dale: Enhanced Edition], rolling back to previous state
Unable to Unlink [weidu_external/backup/stratagems/1500/OTHER.1500]: Unix.Unix_error(1, "unlink", "weidu_external/backup/stratagems/1500/OTHER.1500")
[weidu_external/backup/stratagems/1500/UNSETSTR.1500] SET_STRING uninstall info not found
Will uninstall 775 files for [sTRATAGEMS/SETUP-STRATAGEMS.TP2] component 1500.
Restoring backed-up [weidu_external/backup/stratagems/1500/projectl.ids]
weidu_external/backup/stratagems/1500/projectl.ids copied to override/projectl.ids, 4746 bytes
Restoring backed-up [weidu_external/backup/stratagems/1500/spell.ids]
weidu_external/backup/stratagems/1500/spell.ids copied to weidu_external/workspace/spell.ids, 28359 bytes
Restoring backed-up [weidu_external/backup/stratagems/1500/spell.ids]
ERROR: error copying [weidu_external/backup/stratagems/1500/spell.ids]
Restoring backed-up [weidu_external/backup/stratagems/1500/sfo_warnings.txt]
weidu_external/backup/stratagems/1500/sfo_warnings.txt copied to weidu_external/data/stratagems/sfo_warnings.txt, 91 bytes
Unable to Unlink [override/GNSUMMM.BAF]: Unix.Unix_error(20, "unlink", "override/GNSUMMM.BAF")
Unable to Unlink [override/GNELEWTF.BAF]: Unix.Unix_error(20, "unlink", "override/GNELEWTF.BAF")
Unable to Unlink [override/EFTROLG.BAF]: Unix.Unix_error(20, "unlink", "override/EFTROLG.BAF")
Uninstalled 775 files for [sTRATAGEMS/SETUP-STRATAGEMS.TP2] component 1500.
Unable to Unlink [weidu_external/backup/stratagems/1500/READLN.1500]: Unix.Unix_error(20, "unlink", "weidu_external/backup/stratagems/1500/READLN.1500")
Unable to Unlink [weidu_external/backup/stratagems/1500/READLN.1500.TEXT]: Unix.Unix_error(20, "unlink", "weidu_external/backup/stratagems/1500/READLN.1500.TEXT")

 

 

Attaching the Debug-file.

 

Hopefully that helps with helping you improving the mod. :) Great content.


SETUP-STRATAGEMS_Gibberlings_Filippo.DEBUG

Edited by Filippo
Link to post

@DavidW

 

Hi.

I'm updating the Italian translation.

In some .tra files (dw_iwdspells_divine.tra; dw_iwdspells_arcane.tra) there are some " instead of ~

Is this a mistake?

It doesn't really matter which you use, WEIDU is happy with either.

Link to post

I also get some errors during installation on BG2EE 2.5 on Linux. I installed other mods before SCS and thought that it was the cause.

However, installing only SCS also gives the same errors.

 

I attached a debug file.

 

I can't conveniently read .gz, but I suspect this is the same problem that OSX users are having. I *probably* have a fix but am waiting for confirmation.

Link to post

Filippo:

 

Could you try the following for me:

 

- go to stratagems/iwdspells/lib/install_iwd_spell_respurces.tpa and open it in a text editor.

 

- Find this block of code, on lines 499-505:

 

                 PATCH_IF INDEX_BUFFER ("%value%")>=0 BEGIN
                      TO_UPPER value
                      SET number_in_stock=$stock("%value%")
                      ADD_STORE_ITEM "%key%" AFTER "%value%" #1 #0 #0 "IDENTIFIED" (number_in_stock)
                 END

- copy-paste this in instead:

 

                 PATCH_IF INDEX_BUFFER ("%value%")>=0 BEGIN
                      TO_UPPER value
                      SET number_in_stock=$stock("%value%")
                      PATCH_PRINT "key=%key%, value=%value%, number=%number_in_stock%"
                      ADD_STORE_ITEM "%key%" AFTER "%value%" #1 #0 #0 "IDENTIFIED" (number_in_stock)
                 END

(Or just add that one PATCH_PRINT line direct if you'd rather)

 

- try re-installing.

 

(It won't work, but it will give me more data as to what's going wrong.)

Link to post

 

I also get some errors during installation on BG2EE 2.5 on Linux. I installed other mods before SCS and thought that it was the cause.

However, installing only SCS also gives the same errors.

 

I attached a debug file.

 

I can't conveniently read .gz, but I suspect this is the same problem that OSX users are having. I *probably* have a fix but am waiting for confirmation.

 

Ok, it should be good now.

I changed it to rar.

Link to post
Guest
This topic is now closed to further replies.
×
×
  • Create New...